| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AIDATuple Class Reference

`#include <AIDATuple.h>`

Inheritance diagram for AIDATuple:

[legend]
Collaboration diagram for AIDATuple:

[legend]
List of all members.

## Detailed Description

Definition at line 14 of file AIDATuple.h.

## Public Member Functions
| AIDATuple ()
| AIDATuple (pi_aida::Proxy_Store *store, const std::string &storeObj, const std::string &title, const std::string &description)
| AIDATuple (const AIDATuple &tuple)
| AIDATuple (const AIDA::ITuple &tuple)
| ~AIDATuple ()
virtual std::string | title () const
virtual bool | setTitle (const std::string &title)
virtual const CLID & | clID () const
| Retrieve reference to class definition structure.
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).

## Constructor & Destructor Documentation

AIDATuple::AIDATuple | ( |  | ) | `[inline]`

Definition at line 18 of file AIDATuple.h.

    00018 {}

AIDATuple::AIDATuple | ( | pi_aida::Proxy_Store * | store,
|  | const std::string & | storeObj,
|  | const std::string & | title,
|  | const std::string & | description |
| ) |  |  |

Definition at line 16 of file AIDATuple.cpp.

    00020   : pi_aida::Tuple( *store, storeObj, title, description)
    00021 //-------------------------------------------------------
    00022 {
    00023   setTitle( title );
    00024   //annotation().addItem;
    00025 }

AIDATuple::AIDATuple | ( | const AIDATuple & | tuple | ) |

Definition at line 29 of file AIDATuple.cpp.

References setTitle(), and title().

    00030   :pi_aida::Tuple( static_cast<const pi_aida::Tuple&>(tuple) )
    00031    , DataObject()
    00032 //------------------------------------------------------------
    00033 {
    00034   setTitle( tuple.title() );
    00035 }

AIDATuple::AIDATuple | ( | const AIDA::ITuple & | tuple | ) |

Definition at line 39 of file AIDATuple.cpp.

References setTitle().

    00040   :pi_aida::Tuple( static_cast<const AIDA::ITuple&>(tuple) )
    00041    , DataObject()
    00042 //------------------------------------------------------------
    00043 {
    00044   setTitle( tuple.title() );
    00045 }

AIDATuple::~AIDATuple | ( |  | ) |

Definition at line 61 of file AIDATuple.cpp.

    00063 {}

## Member Function Documentation

virtual std::string AIDATuple::title | ( |  | ) | const`[inline, virtual]`

Definition at line 41 of file AIDATuple.h.

Referenced by AIDATuple(), and setTitle().

    00041                                   {
    00042     return annotation().value( "title" );
    00043   }

virtual bool AIDATuple::setTitle | ( | const std::string & | title | ) | `[inline, virtual]`

Definition at line 47 of file AIDATuple.h.

References title().

Referenced by AIDATuple().

    00047                                                    {
    00048     if ( !annotation().addItem( "title", title ) )
    00049       annotation().setValue( "title", title );
    00050     return true;
    00051   }

virtual const CLID& AIDATuple::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class definition structure.

Reimplemented from DataObject.

Definition at line 54 of file AIDATuple.h.

References classID().

    00054 { return AIDATuple::classID(); }

static const CLID& AIDATuple::classID | ( |  | ) | `[inline, static]`

Retrieve reference to class definition structure (static access).

Reimplemented from DataObject.

Definition at line 55 of file AIDATuple.h.

Referenced by clID().

    00055 { return CLID_AIDATuple; }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/AIDATupleSvc/AIDATuple.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/AIDATupleSvc/AIDATuple.cpp